Announcement

Collapse
No announcement yet.

Squeezebox Radio would not connect to LMS 8: "Update required"

Collapse
This is a sticky topic.
X
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    Great fix!

    Originally posted by mherger View Post
    Unfortunately the latest Squeezebox Radio firmware (7.7.3) comes with a bug which prevents it from connecting to Logitech Media Server 8+. But there's a patch available, which you can install - as long as you're still on LMS 7.x:
    • On the Radio go to Settings/Advanced/Applet Installer, install the Patch Installer. The Radio will re-boot.
    • Once it's back, go to Settings/Advanced/Patch Installer and install the "Version Comparison Fix".


    As I said: you'll have to do this before you upgrade to LMS 8. Because with LMS8 you won't be able to connect any more, and those patches are distributed through the server...

    If you only came here after you installed LMS 8, here are some options:
    • Temporarily connect your Radio to mysqueezebox.com: in the Radio's menu go to Settings/Advanced/Networking/Connect to mysqueezebox.com
    • Install LMS 7.x on a secondary machine. Connect your Radio to that new server to install the patch. Then re-connect to LMS8 and uninstall that LMS 7.x.
    • Last resort: downgrade your installation to LMS7, do the patch, update again.


    What you're seeing is the result of a bug that was fixed about 7-8 years ago, but never released for the SB Radio...
    It worked on my SB Radio that had been limited to Squeezenetwork! Used old computer as advised, with LMS 7.8.
    Thank you!

    Comment


      Looks like I got bit by this issue as well.

      Radio has the version patch installed and works with LMS 8.0.0 but fails with 8.2.0.

      Comment


        Version Comparison Fix not found

        Step 1: On the Radio go to Settings/Advanced/Applet Installer, install the Patch Installer. The Radio will re-boot.
        Step 2: Once it's back, go to Settings/Advanced/Patch Installer and install the "Version Comparison Fix".

        I was able to do Step 1, but Step 2 fails. The radio UI just made an bouncing animation and does not show the "Version Comparison Fix"

        The radio is connected to mysqueezebox.com. That was how I installed the Patch Installer.

        Or must I install LMS 7.9 and connect Radio to LMS 7.9 to install "Version Comparison Fix"?

        Help appreciated!
        Leon

        Comment


          Originally posted by travelfotografer View Post
          Step 1: On the Radio go to Settings/Advanced/Applet Installer, install the Patch Installer. The Radio will re-boot.
          Step 2: Once it's back, go to Settings/Advanced/Patch Installer and install the "Version Comparison Fix".

          I was able to do Step 1, but Step 2 fails. The radio UI just made an bouncing animation and does not show the "Version Comparison Fix"

          The radio is connected to mysqueezebox.com. That was how I installed the Patch Installer.

          Or must I install LMS 7.9 and connect Radio to LMS 7.9 to install "Version Comparison Fix"?

          Help appreciated!
          Leon
          Update: I connected the Radio to my local LMS 8.2 install and it connected!

          Going to try community firmware to skip the need for "Version Comparison Fix".
          Last edited by travelfotografer; 2022-12-11, 06:22.

          Comment


            Just for information:

            I enabled the Version comparison fix patch a long, long , long time ago.

            I recently noticed this warning

            Player Information
            Information on all identified devices connected to Logitech Media Server
            You seem to be using a Squeezebox with an outdated firmware, not recognizing this version of Logitech Media Server. Please consider using the Community Firmware plugin, or patching the device's firmware (get more information).

            and this

            file:///var/lib/squeezeboxserver/prefs/clientplaylist_020e8e229d76.m3u doesn't exist on disk - skipping!
            [23-01-01 11:20:41.2877] Plugins::BBCiPlayer:ASH::_parseMPD_part2 (615) Pref usedashspeed_live pref value : 1 pref speeds: 10000 Chosen rep id audio=320000 Bandwidth = 320000 Codecs = mp4a.40.2
            [23-01-01 11:47:51.1171] Slim::Networking:iscovery::getFakeVersion (131)
            You're using a SB Radio with a buggy firmware not recognizing this version of Logitech Media Server.
            Please consider patching it. Until then we'll try to play nice and return a fake version number...

            See https://github.com/Logitech/slimserv...media-server-8.
            running
            Logitech Media Server Version: 8.3.1 - 1670824772 @ Mon 12 Dec 2022 07:31:54 AM CET
            Hostname: rpi8gb
            Server IP Address: 192.168.1.12
            Server HTTP Port Number: 9000
            Operating system: Debian - EN_GB - utf8
            Platform Architecture: armv7l-linux
            Perl Version: 5.32.1 - arm-linux-gnueabihf-thread-multi-64int
            Audio::Scan: 1.06
            IO::Socket::SSL: 2.069
            Database Version: DBD::SQLite 1.58 (sqlite 3.22.0)
            Total Players Recognized: 2
            and the patch is still enabled.

            A restart of LMS removes the warnings temporarily


            ronnie

            Comment


              Originally posted by Man in a van View Post
              Just for information:

              I enabled the Version comparison fix patch a long, long , long time ago.

              I recently noticed this warning.....

              and the patch is still enabled.

              A restart of LMS removes the warnings temporarily


              ronnie
              I had much the same experience after installing Community firmware on my radio recently, except that the warning (I only saw the first one) did not return after a restart of LMS. I'm running 8.4.
              Usually running latest beta LMS nightly on Raspberry Pi OS with virtual players (Squeezelite and Airplay bridge). Occasionally using SB Radio, Boom or Classic.

              Comment


                Hello

                I follow carefully the process:

                -Reset factory the SBR
                -Connect to temporary LMS 7.9.2 installed on windows via ethernet
                -install applet "patch installer"
                -reboots
                -try to find "version comparison fix patch" on patch installer: it does not find any patch on this menu.
                So I cannot upgrade

                Still in 7.7.3-r16676

                What Did I do wrong ?

                Thank you



                UPDATE:

                I manage to upgrade the SBR:

                Windows LMS Server was blocked by my laptop firewall. on another windows, all works fine. Upgraded to last community firware done :-)

                Now, I've to try to fix Wifi 6 AP issue
                Last edited by tparvais; 2023-02-11, 10:49.

                Comment


                  I'm trying to update my Squeezebox Radio's firmware to the latest version, which I think is 8XX.

                  Currently, my radio's firmware is 7.7.3-r16676. And I'm using LMS server version 8.3.1 - 1676361197 on my Windows PC (11).

                  I did the following:
                  1) Installed the Patch Installer
                  2) Installed the Version Comparison fix
                  3) Rebooted the radio each time and stopped and restarted LMS.

                  However, the radio's firmware didn't update or give me the option to update. It's still showing 7.7.3-r16676

                  What am I doing incorrectly?

                  Thank you,

                  Comment


                    Barrypg, I don't have a Squeezebox Radio, so there is a chance that what I say below is not valid for the Radio.

                    I recently updated the firmware of my Squeezebox Controller to version 8.0.1 r16916, by installing a 3rd party plugin called "Community Firmware for Touch/Radio/Controller" on LMS. For more info see this thread.

                    | LMS 8.3.2 on Linux Mint | Squeezebox Boom | RPi0W + pCP 8.2.0 + HiFiBerry DAC Zero | ESP Muse Luxe |

                    Comment


                      I just tried what CJS suggested (installing the Community Firmware for Touch/Radio/Controller plug-in) and it worked! I was able to install the latest firmware on my Squeezebox Radio. Then, I just installed the "WLANPoke" fix to see if I could stop the wifi disconnect issue I've been having since upgrading my router to Wifi 6.

                      Comment


                        Originally posted by Barrypg View Post
                        I'm trying to update my Squeezebox Radio's firmware to the latest version, which I think is 8XX.

                        Currently, my radio's firmware is 7.7.3-r16676. And I'm using LMS server version 8.3.1 - 1676361197 on my Windows PC (11).

                        I did the following:
                        1) Installed the Patch Installer
                        2) Installed the Version Comparison fix
                        3) Rebooted the radio each time and stopped and restarted LMS.

                        However, the radio's firmware didn't update or give me the option to update. It's still showing 7.7.3-r16676

                        What am I doing incorrectly?

                        Thank you,
                        Late to the party, glad CJS and the community firmware helped you. Remember, you can always switch back to to 7.7.3 if you want to. It is my understanding that 7.7.3 is the latest. The patch installer/version compare fix was a patch to "fool" LMS (I think 8.0 and above)? to allow LMS to recognize the radio (see original post).

                        So, when you do the patch/version process, it will not actually upgrade the firmware, but it will patch the firmware to allow LMS to play nice with the radio, Often you have to restart LMS, maybe a couple times? to get the error to go away.

                        One thing that always tripped me up in the past - in the menus. When you go to settings->advanced->software update, there is small text at the top that I never read that says "your software is up to date" and "if you would like to reinstall 7.7.3..." But right below that is "Begin Update to 7.7.3"" in larger bold text. I immediately believed that there was an update available, because (as my wife would say) "I read it like a man". So, after I selected to start update I was surprised that no update occurred.

                        Jim

                        Comment


                          After reading all 11 pages of this thread, I'm still unable to make my Radio connect to my LMS. Here's my setup and problem:
                          • Logitech Media Server Version: 8.3.1 - 1676361197 @ Fri 17 Feb 2023 06:37:09 AM CET running in a container on my QNAP server.
                          • My Squeezebox boom connects to this and works perfectly.
                          • New (to me) Squeezebox radio (version 7.7.3r16676). Connects to mysqueezebox.com perfectly and will stream radio stations. Will not connect to the above media server, because of the version bug (I assume)
                          Steps taken:
                          1. factory reset of the squeezebox radio.
                          2. Downloaded LMS 7.9.2 and installed on my Mac OS X system.
                          3. Radio can see LMS and communicate with it.
                          4. installed the patch installer app on the radio
                          5. after restart, installed the version comparison fix by Michael Herger
                          6. after restart of radio, stopped the 7.9 server and power cycled the radio
                          7. Radio is still unable to see the 8.3.1 LMS.
                          8. The server.log contains:
                            [23-05-29 23:12:29.4492] main::init (387) Starting Logitech Media Server (v7.9.4, 1603273368, Thu Oct 22 04:12:48 CEST 2020) perl 5.018004 - darwin-thread-multi-2level
                            [23-05-29 23:23:59.2071] Slim::Networking::SqueezeNetwork::_error (500) Unable to login to SN: Invalid mysqueezebox.com username or password.‚Äč
                          9. repeated the steps 1 - 7 after uninstalling 7.9.2 and installing LMS 7.9.4 on my mac with same results.
                          10. attempted several resets of username and password. The credentials work to log directly into mysqueezebox.com from web browser but when entered into the LMS Server configuration panel in System Preferences it fails (despite copy/paste the password in from password manager)
                          Would be happy to try community firmware as a solution, but can't seem to find clear guide on how to do that. I've enabled the community firmware plugin on my LMS 8.3.1 server but the radio isn't connecting to it, so I seem stuck there. I was unable to find that plugin on the 7.9.4 server plugin list.

                          Thanks for any pointers and let me know if there is any other information I can provide...

                          Comment


                            What if you installed LMS 8.3.1 on your Mac? I'm pretty sure it would work.

                            Is LMS running in Docker or on the NAS natively?
                            Michael

                            "It doesn't work - what shall I do?" - "Please check your server.log and/or scanner.log file!"
                            (LMS: Settings/Information)

                            Comment


                              LMS 8.3.1 on the Qnap NAS is in a docker container (initial install from justifiably/logitechmediaserver, updates automatically).
                              • I installed LMS 8.3.1 on my mac after clearing the previous installs.
                              • power cycled the radio and I was able to connect to the LMS running on the mac.
                              • Through the plugins tab on the mac LMS, I downloaded "Community Firmware for Touch/Radio/Controller" and restarted server.
                              • clicked settings on "Community Firmware" and checked the checkbox and hit apply.
                              • Exploring the Radio's interface, I could not see where to install the community firmware. So I went to Settings/Advanced/SoftwareUpdate. The message there said that the squeezebox is up to date with 7.7.3r16676 but that I could re-install.
                              • Reinstalled that firmware.
                              • Still unable to see LMS on the Qnap.
                              Thank you for your help.

                              Comment


                                I'm not familiar with that image. But could it be possible that discovery doesn't work? Is port 3483 mapped for both TCP and UDP? What networking mode are you using with that container?

                                You should be able to manually enter the server's IP address in the advanced settings. Would that work?
                                Michael

                                "It doesn't work - what shall I do?" - "Please check your server.log and/or scanner.log file!"
                                (LMS: Settings/Information)

                                Comment

                                Working...
                                X